complexType "RequestMargin"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 22 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 9 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header?, validation*, isCorrection?, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, marginCallIssuerPartyReference?, marginCallReceiverPartyReference?, creditSupportAgreement?, valuationDate?, baseCurrency?, markToMarket?, independentAmount?, marginTerm?, collateral?, marginRequirement?, marginCallResult?, expectedCollateral?, assets?, party*, account*
</...>

Content Model Elements (22):

  account,
  assets (in requestMargin),
  baseCurrency (in requestMargin),
  collateral (defined in MarginDetails.model group),
  correlationId,
  creditSupportAgreement (in requestMargin),
  expectedCollateral (in requestMargin),
  header (defined in RequestMessage complexType),
  independentAmount (defined in MarginDetails.model group),
  isCorrection (defined in CorrectableRequestMessage complexType),
  marginCallIssuerPartyReference (in requestMargin),
  marginCallReceiverPartyReference (in requestMargin),
  marginCallResult,
  marginRequirement,
  marginTerm,
  markToMarket,
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party (defined in PartiesAndAccounts.model group),
  sequenceNumber (defined in Sequence.model group),
  validation,
  valuationDate (in requestMargin)

All Direct / Indirect Based Elements (1):

  requestMargin

Known Usage Locations

- As direct type of elements (1):
  requestMargin

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage (extension) RequestMargin

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="RequestMargin"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="marginCallIssuerPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="marginCallReceiverPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"/> <xsd:element minOccurs="0" name="valuationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="baseCurrency" type="Currency"/> <xsd:group ref="MarginDetails.model"/> <xsd:element minOccurs="0" name="marginRequirement" type="MarginRequirement"/> <xsd:element minOccurs="0" name="marginCallResult" type="MarginCallResult"/> <xsd:element minOccurs="0" name="expectedCollateral" type="ExpectedCollateral"/> <xsd:element minOccurs="0" name="assets" type="Assets"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 9/22)
assets

  Type: | Assets, complex content

  The list of assets to be moved.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="assets" type="Assets"/>

baseCurrency

  Type: | Currency, simple content

  Denomination currency as specified in the margin agreement.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="baseCurrency" type="Currency"/>

creditSupportAgreement

  Type: | CreditSupportAgreement, complex content

  The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"/>

expectedCollateral

  Type: | ExpectedCollateral, complex content

  Structure that allows for the definition of collateral that the party making the margin call would prefer to receive or have returned.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expectedCollateral" type="ExpectedCollateral"/>

marginCallIssuerPartyReference

  Type: | PartyReference, empty content

  The party issuing the margin call.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="marginCallIssuerPartyReference" type="PartyReference"/>

marginCallReceiverPartyReference

  Type: | PartyReference, empty content

  The party receiving the margin call.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="marginCallReceiverPartyReference" type="PartyReference"/>

marginCallResult

  Type: | MarginCallResult, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="marginCallResult" type="MarginCallResult"/>

marginRequirement

  Type: | MarginRequirement, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="marginRequirement" type="MarginRequirement"/>

valuationDate

  Type: | xsd:date, predefined, simple content

  Close of business date the local counterparty is valuing and issuing the margin call.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.